Redmine - Patch #2197

protect user email from spmamer
2008-11-15 17:45 - Anh Ky Huynh

Status: Closed Start date: 2008-11-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version:

Description
Orignal file app/views/account/show.rhtml

A simple way to hidden users' email from spmamer :)

History

#1 - 2008-11-30 15:21 - Jean-Philippe Lang

- Status changed from New to Closed

Email address obfuscated in r2072 using javascript (Rails helper).

#2 - 2010-01-03 03:48 - Anh Ky Huynh

- Status changed from Closed to Reopened

The following line will show user emails to the world via RSS feed

# file: views/common/feed.atom.xml
xml.email (author.mail) if author.is_a? (User)
&& lauthor.mail.blank? && 'author.pref.hide_mail

#3 - 2024-01-22 13:42 - Go MAEDA

- Status changed from Reopened to Closed

Anh Ky Huynh wrote in #note-2:

The following line will show user emails to the world via RSS feed

[..]

Atom feeds don't disclose email addresses unless the user chooses to show their email address in "My account" page.

Files

account_show.rhtml.diff 536 Bytes 2008-11-15 Anh Ky Huynh

2024-03-08 1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/2072
http://www.tcpdf.org

